Subject: Re: bug#78737: sit-for behavior changes when byte-compiled

From: Eli Zaretskii <[email-masked]>
Date: Sat, 14 Jun 2025 11:30:31 +0300

> Date: Sat, 14 Jun 2025 06:46:03 +0000
> From: Pip Cet <[email-masked]>
> Cc: Stefan Monnier <[email-masked]>, [email-masked], [email-masked]
> 
> "Eli Zaretskii" <[email-masked]> writes:
> 
> > "Emergency exit" (not "emergency quit", which never existed in Emacs)
> > is the feature whereby typing more than 1 C-g would pop the question
> > whether to exit Emacs and if so, whether to dump core.
> 
> Sorry if I'm being dense, but just to recap:
> 
> "Emergency exit" works in sessions that have a terminal frame.  In such
> sessions, the code manipulating force_quit_count is never reached.
> 
> In GUI sessions, this code is reached, and hitting C-g three times while
> quit-flag is set will perform a special kind of quit, clearing
> inhibit-quit.
> 
> IIUC, you object to calling this special kind of quit "emergency quit",
> and would prefer to call it something else.
> 
> Is that right?  What's the preferred term for this special kind of quit?

I don't know.  This feature is not currently documented in the manual,
so I don't think we have a term for it.  We don't even advertise it
anywhere, AFAICT.

> I'm asking mostly because this feature isn't documented in trouble.texi.
> The emergency escape (= emergency exit) feature is well-documented but I
> fear that won't help most users, terminal frames being rare these days.

I would like to see the emergency exit feature work on GUI frames as
well, if that's feasible.